;;-*- lexical-binding: t -*-
(require 'timer)
(open-dribble-file "/tmp/mydrib")
(let* ((n 0)
       (timer (run-with-timer nil 0.0001
			      (lambda ()
				(setq unread-command-events
				      (nconc
				       unread-command-events
				       (mapcar
					(lambda (c) (cons t c))
					(format "%03d " n)))
				      n (1+ n))
				(when (> n 999)
				  (cancel-timer timer)
				  (open-dribble-file nil))))))
  (switch-to-buffer "*scratch*"))
